Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.rule.model
Interface RuleFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  RuleFactoryImpl

    public interface RuleFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

Since:
  1.2
See Also:
  `RulePackage`

Field Summary
`static RuleFactory` | `eINSTANCE` The singleton instance of the factory.

Method Summary
`AndCondition` | `createAndCondition()` Returns a new object of class 'And Condition'.
`EnableRule` | `createEnableRule()` Returns a new object of class 'Enable Rule'.
`LeafCondition` | `createLeafCondition()` Returns a new object of class 'Leaf Condition'.
`OrCondition` | `createOrCondition()` Returns a new object of class 'Or Condition'.
`ShowRule` | `createShowRule()` Returns a new object of class 'Show Rule'.
`RulePackage` | `getRulePackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final RuleFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createLeafCondition

    LeafCondition createLeafCondition()

  Returns a new object of class 'Leaf Condition'.

  Returns:
    a new object of class 'Leaf Condition'.

### createOrCondition

    OrCondition createOrCondition()

  Returns a new object of class 'Or Condition'.

  Returns:
    a new object of class 'Or Condition'.

### createAndCondition

    AndCondition createAndCondition()

  Returns a new object of class 'And Condition'.

  Returns:
    a new object of class 'And Condition'.

### createShowRule

    ShowRule createShowRule()

  Returns a new object of class 'Show Rule'.

  Returns:
    a new object of class 'Show Rule'.

### createEnableRule

    EnableRule createEnableRule()

  Returns a new object of class 'Enable Rule'.

  Returns:
    a new object of class 'Enable Rule'.

### getRulePackage

    RulePackage getRulePackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.